E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GNet::FutureEventHandler Class Referenceabstract

A callback interface for GNet::FutureEvent. More...

`#include <gfutureevent.h>`

Inheritance diagram for GNet::FutureEventHandler:

## Public Member Functions
virtual void | onFutureEvent ()=0
| Callback function that delivers the future event.

## Protected Member Functions
virtual | ~FutureEventHandler ()
| Destructor.

## Detailed Description

A callback interface for GNet::FutureEvent.

Definition at line 100 of file gfutureevent.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gfutureevent.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gfutureevent_unix.cpp